Skip to main content
GET
/
addresses
/
{address_hash}
/
token-balances
get all tokens balances for the address
curl --request GET \
  --url https://eth.blockscout.com/api/v2/addresses/{address_hash}/token-balances
[
  {
    "value": "10000",
    "token_id": "123",
    "token": {
      "name": "Tether USD",
      "decimals": "16",
      "symbol": "USDT",
      "type": "ERC-20",
      "exchange_rate": "0.99",
      "total_supply": "10000000",
      "address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
      "holders_count": 837494234523
    }
  }
]

Path Parameters

address_hash
string
required

Address hash

Pattern: ^0x([A-Fa-f0-9]{40})$

Response

address

value
string
required
Example:

"10000"

token_id
string
required
Example:

"123"

token
object
required
token_instance
object